Bug 353215 - Font Management can't find any fonts and Unable to start backend
Summary: Font Management can't find any fonts and Unable to start backend
Status: RESOLVED FIXED
Alias: None
Product: systemsettings
Classification: Applications
Component: kcm_fontinst (show other bugs)
Version: 5.4.1
Platform: Fedora RPMs Linux
: NOR normal with 10 votes (vote)
Target Milestone: ---
Assignee: Unassigned bugs mailing-list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-09-26 18:18 UTC by Sudhir Khanger
Modified: 2015-11-18 14:21 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.4.2


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sudhir Khanger 2015-09-26 18:18:18 UTC
Fonts Management isn't showing any fonts. When I try to add a font, personal or systemwide, it shows unable to start backend.

Reproducible: Always

Steps to Reproduce:
1. kcmshell5 fontinst
2. click +Add
3.

Actual Results:  
1. It will scan for fonts but not find/show any.
2. When adding personal or systemwide fonts it shows unable to start backend.
Comment 1 Rex Dieter 2015-09-29 12:15:12 UTC
Should be fixed with
https://projects.kde.org/projects/kde/workspace/plasma-desktop/repository/revisions/f367041d84027d8f173d0f0ccb7c893398691365

consistently use KAUTH_HELPER_INSTALL_ABSOLUTE_DIR 

... in preference to CMAKE_INSTALL_PREFIX/KAUTH_HELPER_INSTALL_DIR, 
which assumes KAUTH_HELPER_INSTALL_DIR is always relative (which may 
not be true) 


applied to fedora packaging plasma-desktop-5.4.1-6
Comment 2 Glenn Holmer 2015-11-18 14:18:08 UTC
Still seeing this in F23 KDE spin with all patches applied (NVidia GeForce 
GTX 650). Also seeing it on a machine with GeForce GT630 and on a ThinkPad 
T410 with NVidia GT218M [NVS3100M]. All three are using the nouveau driver.
Comment 3 Glenn Holmer 2015-11-18 14:21:22 UTC
Sorry, wrong bug. Please ignore previous comment.